| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
nfsft_wisdom Struct Reference
NFSFT - Nonequispaced fast spherical Fourier transform

Wisdom structure. More...

`#include <api.h>`

Collaboration diagram for nfsft_wisdom:
[legend]

## Data Fields
bool | initialized
| Indicates wether the structure has been initialized. More...
unsigned int | flags
int | N_MAX
| Stores precomputation flags. More...
int | T_MAX
| The logarithm /f$t = N_{{max}}/f$ of the maximum bandwidth.
double * | alpha
| Precomputed recursion coefficients /f$^n/f$ for /f$k = 0,/ldots, N_{{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double * | beta
| Precomputed recursion coefficients /f$^n/f$ for /f$k = 0,/ldots, N_{{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double * | gamma
| Precomputed recursion coefficients /f$^n/f$ for /f$k = 0,/ldots, N_{{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double | threshold
| The threshold /f$/f$.
fpt_set | set
| Structure for discrete polynomial transform (DPT)

## Detailed Description

Wisdom structure.

Definition at line 56 of file kernel/nfsft/api.h.

## Field Documentation

bool nfsft_wisdom::initialized

Indicates wether the structure has been initialized.

Definition at line 59 of file kernel/nfsft/api.h.

Referenced by nfsft_adjoint(), nfsft_forget(), nfsft_precompute(), and nfsft_trafo().

int nfsft_wisdom::N_MAX

Stores precomputation flags.

The maximum bandwidth /f$N_{{max}} {N}_0/f$

Definition at line 63 of file kernel/nfsft/api.h.

Referenced by nfsft_adjoint(), nfsft_forget(), nfsft_precompute(), and nfsft_trafo().

The documentation for this struct was generated from the following file:

- kernel/nfsft/api.h